require( "scripts/style" );

function InvokeUnpauseGameMessage()
	SendGameMessage( "unpause" );
	CloseWindow();
end

MakeDialog
{
	-- Name the modal dialog
	name="levelstartpopup",
	
	LevelStartWindow
	{
		x=0,
		y=0,
		w=kMax,
		h=kMax,

		rows=gRows,
		columns=gColumns,
		
		--SetStyle(DialogBodyText),
		--[[
		Text
		{
			label= "levelstart_title",
			name="mentrained",
			x=200,y=100,w=100, h=100,
			font=PlaceholderFont,
			flags = kHAlignCenter + kVAlignCenter,
		},
		--]]
		
		--[[
		SetStyle(ButtonStyle),
		Button
		{
			command=
				function()
					--PostMessage(CreateNamedMessage(kButtonPress, "CustomWindowClose"));
					SendGameMessage( "unpause" );
				end;
			cancel=true,
			default=true,
			type=kPush,
			flags = 5,
			name = "levelstart_button",
			label ="levelstart_button",
			x = kCenter + 224,
			y = kMax-60,
			sound = kButtonConfirmSound,
		},
		--]]
	}
}